App\Library\Amazon\Classes\CE:
    xml_root_name: CE
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: App\Library\Amazon\Classes\CE\ProductTypeAType
        productSubtype:
            expose: true
            access_type: public_method
            serialized_name: ProductSubtype
            accessor:
                getter: getProductSubtype
                setter: setProductSubtype
            type: string
        analogVideoFormat:
            expose: true
            access_type: public_method
            serialized_name: AnalogVideoFormat
            accessor:
                getter: getAnalogVideoFormat
                setter: setAnalogVideoFormat
            xml_list:
                inline: true
                entry_name: AnalogVideoFormat
            type: array<string>
        answeringSystemType:
            expose: true
            access_type: public_method
            serialized_name: AnsweringSystemType
            accessor:
                getter: getAnsweringSystemType
                setter: setAnsweringSystemType
            type: string
        antennaLength:
            expose: true
            access_type: public_method
            serialized_name: AntennaLength
            accessor:
                getter: getAntennaLength
                setter: setAntennaLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        antennaType:
            expose: true
            access_type: public_method
            serialized_name: AntennaType
            accessor:
                getter: getAntennaType
                setter: setAntennaType
            type: string
        audioFeaturesDescription:
            expose: true
            access_type: public_method
            serialized_name: AudioFeaturesDescription
            accessor:
                getter: getAudioFeaturesDescription
                setter: setAudioFeaturesDescription
            type: string
        audioInput:
            expose: true
            access_type: public_method
            serialized_name: AudioInput
            accessor:
                getter: getAudioInput
                setter: setAudioInput
            xml_list:
                inline: true
                entry_name: AudioInput
            type: array<string>
        audioOutputEffects:
            expose: true
            access_type: public_method
            serialized_name: AudioOutputEffects
            accessor:
                getter: getAudioOutputEffects
                setter: setAudioOutputEffects
            xml_list:
                inline: true
                entry_name: AudioOutputEffects
            type: array<string>
        audioOutputMode:
            expose: true
            access_type: public_method
            serialized_name: AudioOutputMode
            accessor:
                getter: getAudioOutputMode
                setter: setAudioOutputMode
            xml_list:
                inline: true
                entry_name: AudioOutputMode
            type: array<string>
        audioOutputResponseBandwidth:
            expose: true
            access_type: public_method
            serialized_name: AudioOutputResponseBandwidth
            accessor:
                getter: getAudioOutputResponseBandwidth
                setter: setAudioOutputResponseBandwidth
            type: string
        audioOutputType:
            expose: true
            access_type: public_method
            serialized_name: AudioOutputType
            accessor:
                getter: getAudioOutputType
                setter: setAudioOutputType
            type: string
        audioSensitivity:
            expose: true
            access_type: public_method
            serialized_name: AudioSensitivity
            accessor:
                getter: getAudioSensitivity
                setter: setAudioSensitivity
            type: string
        autoRedial:
            expose: true
            access_type: public_method
            serialized_name: AutoRedial
            accessor:
                getter: getAutoRedial
                setter: setAutoRedial
            type: boolean
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: App\Library\Amazon\Classes\TimeDimensionType
        bufferSize:
            expose: true
            access_type: public_method
            serialized_name: BufferSize
            accessor:
                getter: getBufferSize
                setter: setBufferSize
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        batteryTypeLithiumIon:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumIon
            accessor:
                getter: getBatteryTypeLithiumIon
                setter: setBatteryTypeLithiumIon
            type: integer
        batteryTypeLithiumMetal:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumMetal
            accessor:
                getter: getBatteryTypeLithiumMetal
                setter: setBatteryTypeLithiumMetal
            type: integer
        builtInDecoders:
            expose: true
            access_type: public_method
            serialized_name: BuiltInDecoders
            accessor:
                getter: getBuiltInDecoders
                setter: setBuiltInDecoders
            xml_list:
                inline: true
                entry_name: BuiltInDecoders
            type: array<string>
        buttonQuantity:
            expose: true
            access_type: public_method
            serialized_name: ButtonQuantity
            accessor:
                getter: getButtonQuantity
                setter: setButtonQuantity
            type: integer
        cabinetMaterial:
            expose: true
            access_type: public_method
            serialized_name: CabinetMaterial
            accessor:
                getter: getCabinetMaterial
                setter: setCabinetMaterial
            type: string
        cableFeature:
            expose: true
            access_type: public_method
            serialized_name: CableFeature
            accessor:
                getter: getCableFeature
                setter: setCableFeature
            xml_list:
                inline: true
                entry_name: CableFeature
            type: array<string>
        cableTechnology:
            expose: true
            access_type: public_method
            serialized_name: CableTechnology
            accessor:
                getter: getCableTechnology
                setter: setCableTechnology
            xml_list:
                inline: true
                entry_name: CableTechnology
            type: array<string>
        cableType:
            expose: true
            access_type: public_method
            serialized_name: CableType
            accessor:
                getter: getCableType
                setter: setCableType
            type: string
        cacheMemoryInstalledSize:
            expose: true
            access_type: public_method
            serialized_name: CacheMemoryInstalledSize
            accessor:
                getter: getCacheMemoryInstalledSize
                setter: setCacheMemoryInstalledSize
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        callAlerts:
            expose: true
            access_type: public_method
            serialized_name: CallAlerts
            accessor:
                getter: getCallAlerts
                setter: setCallAlerts
            type: string
        callerIdentification:
            expose: true
            access_type: public_method
            serialized_name: CallerIdentification
            accessor:
                getter: getCallerIdentification
                setter: setCallerIdentification
            type: boolean
        carryingStrap:
            expose: true
            access_type: public_method
            serialized_name: CarryingStrap
            accessor:
                getter: getCarryingStrap
                setter: setCarryingStrap
            xml_list:
                inline: true
                entry_name: CarryingStrap
            type: array<string>
        cassetteSystemType:
            expose: true
            access_type: public_method
            serialized_name: CassetteSystemType
            accessor:
                getter: getCassetteSystemType
                setter: setCassetteSystemType
            type: string
        cDChangerType:
            expose: true
            access_type: public_method
            serialized_name: CDChangerType
            accessor:
                getter: getCDChangerType
                setter: setCDChangerType
            type: string
        cDDiskCapacity:
            expose: true
            access_type: public_method
            serialized_name: CDDiskCapacity
            accessor:
                getter: getCDDiskCapacity
                setter: setCDDiskCapacity
            type: integer
        cDLoadType:
            expose: true
            access_type: public_method
            serialized_name: CDLoadType
            accessor:
                getter: getCDLoadType
                setter: setCDLoadType
            type: string
        cDPlaybackMode:
            expose: true
            access_type: public_method
            serialized_name: CDPlaybackMode
            accessor:
                getter: getCDPlaybackMode
                setter: setCDPlaybackMode
            xml_list:
                inline: true
                entry_name: CDPlaybackMode
            type: array<string>
        cDSystemType:
            expose: true
            access_type: public_method
            serialized_name: CDSystemType
            accessor:
                getter: getCDSystemType
                setter: setCDSystemType
            type: string
        cellularEnhancementProtocol:
            expose: true
            access_type: public_method
            serialized_name: CellularEnhancementProtocol
            accessor:
                getter: getCellularEnhancementProtocol
                setter: setCellularEnhancementProtocol
            xml_list:
                inline: true
                entry_name: CellularEnhancementProtocol
            type: array<string>
        coaxialDigitalInput:
            expose: true
            access_type: public_method
            serialized_name: CoaxialDigitalInput
            accessor:
                getter: getCoaxialDigitalInput
                setter: setCoaxialDigitalInput
            type: string
        coaxialDigitalOutput:
            expose: true
            access_type: public_method
            serialized_name: CoaxialDigitalOutput
            accessor:
                getter: getCoaxialDigitalOutput
                setter: setCoaxialDigitalOutput
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorDepth:
            expose: true
            access_type: public_method
            serialized_name: ColorDepth
            accessor:
                getter: getColorDepth
                setter: setColorDepth
            xml_list:
                inline: true
                entry_name: ColorDepth
            type: array<string>
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        colorSupport:
            expose: true
            access_type: public_method
            serialized_name: ColorSupport
            accessor:
                getter: getColorSupport
                setter: setColorSupport
            xml_list:
                inline: true
                entry_name: ColorSupport
            type: array<string>
        compatibleCartridge:
            expose: true
            access_type: public_method
            serialized_name: CompatibleCartridge
            accessor:
                getter: getCompatibleCartridge
                setter: setCompatibleCartridge
            xml_list:
                inline: true
                entry_name: CompatibleCartridge
            type: array<string>
        compatibleDevices:
            expose: true
            access_type: public_method
            serialized_name: CompatibleDevices
            accessor:
                getter: getCompatibleDevices
                setter: setCompatibleDevices
            xml_list:
                inline: true
                entry_name: CompatibleDevices
            type: array<string>
        componentType:
            expose: true
            access_type: public_method
            serialized_name: ComponentType
            accessor:
                getter: getComponentType
                setter: setComponentType
            xml_list:
                inline: true
                entry_name: ComponentType
            type: array<string>
        compressedCapacity:
            expose: true
            access_type: public_method
            serialized_name: CompressedCapacity
            accessor:
                getter: getCompressedCapacity
                setter: setCompressedCapacity
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        computerPeripheralConnector:
            expose: true
            access_type: public_method
            serialized_name: ComputerPeripheralConnector
            accessor:
                getter: getComputerPeripheralConnector
                setter: setComputerPeripheralConnector
            xml_list:
                inline: true
                entry_name: ComputerPeripheralConnector
            type: array<string>
        conferenceCallCapability:
            expose: true
            access_type: public_method
            serialized_name: ConferenceCallCapability
            accessor:
                getter: getConferenceCallCapability
                setter: setConferenceCallCapability
            type: string
        connectivityProtocol:
            expose: true
            access_type: public_method
            serialized_name: ConnectivityProtocol
            accessor:
                getter: getConnectivityProtocol
                setter: setConnectivityProtocol
            xml_list:
                inline: true
                entry_name: ConnectivityProtocol
            type: array<string>
        connectivityTechnology:
            expose: true
            access_type: public_method
            serialized_name: ConnectivityTechnology
            accessor:
                getter: getConnectivityTechnology
                setter: setConnectivityTechnology
            type: string
        copierType:
            expose: true
            access_type: public_method
            serialized_name: CopierType
            accessor:
                getter: getCopierType
                setter: setCopierType
            type: string
        copySizeMaximum:
            expose: true
            access_type: public_method
            serialized_name: CopySizeMaximum
            accessor:
                getter: getCopySizeMaximum
                setter: setCopySizeMaximum
            type: string
        crossoverFrequency:
            expose: true
            access_type: public_method
            serialized_name: CrossoverFrequency
            accessor:
                getter: getCrossoverFrequency
                setter: setCrossoverFrequency
            type: string
        dACDataWidth:
            expose: true
            access_type: public_method
            serialized_name: DACDataWidth
            accessor:
                getter: getDACDataWidth
                setter: setDACDataWidth
            type: string
        dataCompressionProtocol:
            expose: true
            access_type: public_method
            serialized_name: DataCompressionProtocol
            accessor:
                getter: getDataCompressionProtocol
                setter: setDataCompressionProtocol
            xml_list:
                inline: true
                entry_name: DataCompressionProtocol
            type: array<string>
        dataLinkProtocol:
            expose: true
            access_type: public_method
            serialized_name: DataLinkProtocol
            accessor:
                getter: getDataLinkProtocol
                setter: setDataLinkProtocol
            xml_list:
                inline: true
                entry_name: DataLinkProtocol
            type: array<string>
        dataService:
            expose: true
            access_type: public_method
            serialized_name: DataService
            accessor:
                getter: getDataService
                setter: setDataService
            type: string
        dataStorageCapability:
            expose: true
            access_type: public_method
            serialized_name: DataStorageCapability
            accessor:
                getter: getDataStorageCapability
                setter: setDataStorageCapability
            type: string
        dataTransferRate:
            expose: true
            access_type: public_method
            serialized_name: DataTransferRate
            accessor:
                getter: getDataTransferRate
                setter: setDataTransferRate
            type: App\Library\Amazon\Classes\CE\DataTransferRateAType
        deviceType:
            expose: true
            access_type: public_method
            serialized_name: DeviceType
            accessor:
                getter: getDeviceType
                setter: setDeviceType
            type: string
        dGPS:
            expose: true
            access_type: public_method
            serialized_name: DGPS
            accessor:
                getter: getDGPS
                setter: setDGPS
            type: string
        dialerType:
            expose: true
            access_type: public_method
            serialized_name: DialerType
            accessor:
                getter: getDialerType
                setter: setDialerType
            type: string
        digitalPlayerType:
            expose: true
            access_type: public_method
            serialized_name: DigitalPlayerType
            accessor:
                getter: getDigitalPlayerType
                setter: setDigitalPlayerType
            type: string
        digitalRecordingTime:
            expose: true
            access_type: public_method
            serialized_name: DigitalRecordingTime
            accessor:
                getter: getDigitalRecordingTime
                setter: setDigitalRecordingTime
            xml_list:
                inline: true
                entry_name: DigitalRecordingTime
            type: array<string>
        digitalSignalingProtocol:
            expose: true
            access_type: public_method
            serialized_name: DigitalSignalingProtocol
            accessor:
                getter: getDigitalSignalingProtocol
                setter: setDigitalSignalingProtocol
            xml_list:
                inline: true
                entry_name: DigitalSignalingProtocol
            type: array<string>
        digitalStorageCapacity:
            expose: true
            access_type: public_method
            serialized_name: DigitalStorageCapacity
            accessor:
                getter: getDigitalStorageCapacity
                setter: setDigitalStorageCapacity
            type: integer
        digitalZoom:
            expose: true
            access_type: public_method
            serialized_name: DigitalZoom
            accessor:
                getter: getDigitalZoom
                setter: setDigitalZoom
            type: App\Library\Amazon\Classes\ZoomDimensionType
        displayColorSupport:
            expose: true
            access_type: public_method
            serialized_name: DisplayColorSupport
            accessor:
                getter: getDisplayColorSupport
                setter: setDisplayColorSupport
            xml_list:
                inline: true
                entry_name: DisplayColorSupport
            type: array<string>
        displayLineQuantity:
            expose: true
            access_type: public_method
            serialized_name: DisplayLineQuantity
            accessor:
                getter: getDisplayLineQuantity
                setter: setDisplayLineQuantity
            type: integer
        displayResolutionMaximum:
            expose: true
            access_type: public_method
            serialized_name: DisplayResolutionMaximum
            accessor:
                getter: getDisplayResolutionMaximum
                setter: setDisplayResolutionMaximum
            type: string
        displayTechnology:
            expose: true
            access_type: public_method
            serialized_name: DisplayTechnology
            accessor:
                getter: getDisplayTechnology
                setter: setDisplayTechnology
            type: string
        displayType:
            expose: true
            access_type: public_method
            serialized_name: DisplayType
            accessor:
                getter: getDisplayType
                setter: setDisplayType
            type: string
        driveUnits:
            expose: true
            access_type: public_method
            serialized_name: DriveUnits
            accessor:
                getter: getDriveUnits
                setter: setDriveUnits
            type: string
        duplex:
            expose: true
            access_type: public_method
            serialized_name: Duplex
            accessor:
                getter: getDuplex
                setter: setDuplex
            type: string
        dVDDiskCapacity:
            expose: true
            access_type: public_method
            serialized_name: DVDDiskCapacity
            accessor:
                getter: getDVDDiskCapacity
                setter: setDVDDiskCapacity
            type: integer
        dVDDiskChangerType:
            expose: true
            access_type: public_method
            serialized_name: DVDDiskChangerType
            accessor:
                getter: getDVDDiskChangerType
                setter: setDVDDiskChangerType
            type: string
        dVDMediaLoadType:
            expose: true
            access_type: public_method
            serialized_name: DVDMediaLoadType
            accessor:
                getter: getDVDMediaLoadType
                setter: setDVDMediaLoadType
            type: string
        dVDPictureZoomPower:
            expose: true
            access_type: public_method
            serialized_name: DVDPictureZoomPower
            accessor:
                getter: getDVDPictureZoomPower
                setter: setDVDPictureZoomPower
            xml_list:
                inline: true
                entry_name: DVDPictureZoomPower
            type: array<string>
        dVDPlaybackMode:
            expose: true
            access_type: public_method
            serialized_name: DVDPlaybackMode
            accessor:
                getter: getDVDPlaybackMode
                setter: setDVDPlaybackMode
            xml_list:
                inline: true
                entry_name: DVDPlaybackMode
            type: array<string>
        dVDType:
            expose: true
            access_type: public_method
            serialized_name: DVDType
            accessor:
                getter: getDVDType
                setter: setDVDType
            type: string
        dVRCompressionRate:
            expose: true
            access_type: public_method
            serialized_name: DVRCompressionRate
            accessor:
                getter: getDVRCompressionRate
                setter: setDVRCompressionRate
            type: string
        dVRMaxRecordingTime:
            expose: true
            access_type: public_method
            serialized_name: DVRMaxRecordingTime
            accessor:
                getter: getDVRMaxRecordingTime
                setter: setDVRMaxRecordingTime
            type: integer
        dVRServiceDescription:
            expose: true
            access_type: public_method
            serialized_name: DVRServiceDescription
            accessor:
                getter: getDVRServiceDescription
                setter: setDVRServiceDescription
            type: string
        enclosure:
            expose: true
            access_type: public_method
            serialized_name: Enclosure
            accessor:
                getter: getEnclosure
                setter: setEnclosure
            type: string
        equalizer:
            expose: true
            access_type: public_method
            serialized_name: Equalizer
            accessor:
                getter: getEqualizer
                setter: setEqualizer
            type: string
        equalizerBandChannels:
            expose: true
            access_type: public_method
            serialized_name: EqualizerBandChannels
            accessor:
                getter: getEqualizerBandChannels
                setter: setEqualizerBandChannels
            type: string
        errorCorrectionProtocol:
            expose: true
            access_type: public_method
            serialized_name: ErrorCorrectionProtocol
            accessor:
                getter: getErrorCorrectionProtocol
                setter: setErrorCorrectionProtocol
            xml_list:
                inline: true
                entry_name: ErrorCorrectionProtocol
            type: array<string>
        eyeRelief:
            expose: true
            access_type: public_method
            serialized_name: EyeRelief
            accessor:
                getter: getEyeRelief
                setter: setEyeRelief
            type: App\Library\Amazon\Classes\LengthDimensionType
        faceplateType:
            expose: true
            access_type: public_method
            serialized_name: FaceplateType
            accessor:
                getter: getFaceplateType
                setter: setFaceplateType
            type: string
        faxMachineCompatibility:
            expose: true
            access_type: public_method
            serialized_name: FaxMachineCompatibility
            accessor:
                getter: getFaxMachineCompatibility
                setter: setFaxMachineCompatibility
            type: string
        faxType:
            expose: true
            access_type: public_method
            serialized_name: FaxType
            accessor:
                getter: getFaxType
                setter: setFaxType
            type: string
        flashMemoryInstalledSize:
            expose: true
            access_type: public_method
            serialized_name: FlashMemoryInstalledSize
            accessor:
                getter: getFlashMemoryInstalledSize
                setter: setFlashMemoryInstalledSize
            type: integer
        floppyDiskDrive:
            expose: true
            access_type: public_method
            serialized_name: FloppyDiskDrive
            accessor:
                getter: getFloppyDiskDrive
                setter: setFloppyDiskDrive
            type: string
        formFactor:
            expose: true
            access_type: public_method
            serialized_name: FormFactor
            accessor:
                getter: getFormFactor
                setter: setFormFactor
            xml_list:
                inline: true
                entry_name: FormFactor
            type: array<string>
        freeAirResonantFrequency:
            expose: true
            access_type: public_method
            serialized_name: FreeAirResonantFrequency
            accessor:
                getter: getFreeAirResonantFrequency
                setter: setFreeAirResonantFrequency
            type: App\Library\Amazon\Classes\FrequencyDimensionType
        frequencyRange:
            expose: true
            access_type: public_method
            serialized_name: FrequencyRange
            accessor:
                getter: getFrequencyRange
                setter: setFrequencyRange
            xml_list:
                inline: true
                entry_name: FrequencyRange
            type: array<string>
        frequencyRequired:
            expose: true
            access_type: public_method
            serialized_name: FrequencyRequired
            accessor:
                getter: getFrequencyRequired
                setter: setFrequencyRequired
            type: string
        frequencyResponseCurve:
            expose: true
            access_type: public_method
            serialized_name: FrequencyResponseCurve
            accessor:
                getter: getFrequencyResponseCurve
                setter: setFrequencyResponseCurve
            type: string
        frontAccessibleBaysQuantity:
            expose: true
            access_type: public_method
            serialized_name: FrontAccessibleBaysQuantity
            accessor:
                getter: getFrontAccessibleBaysQuantity
                setter: setFrontAccessibleBaysQuantity
            type: integer
        fuseDescription:
            expose: true
            access_type: public_method
            serialized_name: FuseDescription
            accessor:
                getter: getFuseDescription
                setter: setFuseDescription
            type: string
        gPSNavigation:
            expose: true
            access_type: public_method
            serialized_name: GPSNavigation
            accessor:
                getter: getGPSNavigation
                setter: setGPSNavigation
            type: string
        graphicsCoprocessor:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCoprocessor
            accessor:
                getter: getGraphicsCoprocessor
                setter: setGraphicsCoprocessor
            type: string
        graphicsCoprocessorQuantity:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCoprocessorQuantity
            accessor:
                getter: getGraphicsCoprocessorQuantity
                setter: setGraphicsCoprocessorQuantity
            type: integer
        graphicsRam:
            expose: true
            access_type: public_method
            serialized_name: GraphicsRam
            accessor:
                getter: getGraphicsRam
                setter: setGraphicsRam
            type: float
        greyscaleDepth:
            expose: true
            access_type: public_method
            serialized_name: GreyscaleDepth
            accessor:
                getter: getGreyscaleDepth
                setter: setGreyscaleDepth
            xml_list:
                inline: true
                entry_name: GreyscaleDepth
            type: array<string>
        handsetDepth:
            expose: true
            access_type: public_method
            serialized_name: HandsetDepth
            accessor:
                getter: getHandsetDepth
                setter: setHandsetDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        handsetHeight:
            expose: true
            access_type: public_method
            serialized_name: HandsetHeight
            accessor:
                getter: getHandsetHeight
                setter: setHandsetHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        handsetLocator:
            expose: true
            access_type: public_method
            serialized_name: HandsetLocator
            accessor:
                getter: getHandsetLocator
                setter: setHandsetLocator
            type: boolean
        handsetWeight:
            expose: true
            access_type: public_method
            serialized_name: HandsetWeight
            accessor:
                getter: getHandsetWeight
                setter: setHandsetWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        handsetWidth:
            expose: true
            access_type: public_method
            serialized_name: HandsetWidth
            accessor:
                getter: getHandsetWidth
                setter: setHandsetWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        hardDiskDescription:
            expose: true
            access_type: public_method
            serialized_name: HardDiskDescription
            accessor:
                getter: getHardDiskDescription
                setter: setHardDiskDescription
            type: string
        hardDiskInstalledQuantity:
            expose: true
            access_type: public_method
            serialized_name: HardDiskInstalledQuantity
            accessor:
                getter: getHardDiskInstalledQuantity
                setter: setHardDiskInstalledQuantity
            type: integer
        hardDiskRotationalSpeed:
            expose: true
            access_type: public_method
            serialized_name: HardDiskRotationalSpeed
            accessor:
                getter: getHardDiskRotationalSpeed
                setter: setHardDiskRotationalSpeed
            type: integer
        hardwareInterface:
            expose: true
            access_type: public_method
            serialized_name: HardwareInterface
            accessor:
                getter: getHardwareInterface
                setter: setHardwareInterface
            xml_list:
                inline: true
                entry_name: HardwareInterface
            type: array<string>
        hasCommercialSkip:
            expose: true
            access_type: public_method
            serialized_name: HasCommercialSkip
            accessor:
                getter: getHasCommercialSkip
                setter: setHasCommercialSkip
            type: boolean
        hasDVDPictureZoom:
            expose: true
            access_type: public_method
            serialized_name: HasDVDPictureZoom
            accessor:
                getter: getHasDVDPictureZoom
                setter: setHasDVDPictureZoom
            type: boolean
        hasParentalChannelLock:
            expose: true
            access_type: public_method
            serialized_name: HasParentalChannelLock
            accessor:
                getter: getHasParentalChannelLock
                setter: setHasParentalChannelLock
            type: boolean
        headphonesFormFactor:
            expose: true
            access_type: public_method
            serialized_name: HeadphonesFormFactor
            accessor:
                getter: getHeadphonesFormFactor
                setter: setHeadphonesFormFactor
            type: string
        headphonesJack:
            expose: true
            access_type: public_method
            serialized_name: HeadphonesJack
            accessor:
                getter: getHeadphonesJack
                setter: setHeadphonesJack
            type: string
        headphonesTechnology:
            expose: true
            access_type: public_method
            serialized_name: HeadphonesTechnology
            accessor:
                getter: getHeadphonesTechnology
                setter: setHeadphonesTechnology
            type: string
        horizontalResolution:
            expose: true
            access_type: public_method
            serialized_name: HorizontalResolution
            accessor:
                getter: getHorizontalResolution
                setter: setHorizontalResolution
            type: integer
        hotSwapBaysQuantity:
            expose: true
            access_type: public_method
            serialized_name: HotSwapBaysQuantity
            accessor:
                getter: getHotSwapBaysQuantity
                setter: setHotSwapBaysQuantity
            type: integer
        humanInterfaceInput:
            expose: true
            access_type: public_method
            serialized_name: HumanInterfaceInput
            accessor:
                getter: getHumanInterfaceInput
                setter: setHumanInterfaceInput
            type: string
        humanInterfaceOutput:
            expose: true
            access_type: public_method
            serialized_name: HumanInterfaceOutput
            accessor:
                getter: getHumanInterfaceOutput
                setter: setHumanInterfaceOutput
            type: string
        imageAspectRatio:
            expose: true
            access_type: public_method
            serialized_name: ImageAspectRatio
            accessor:
                getter: getImageAspectRatio
                setter: setImageAspectRatio
            xml_list:
                inline: true
                entry_name: ImageAspectRatio
            type: array<string>
        imageBrightness:
            expose: true
            access_type: public_method
            serialized_name: ImageBrightness
            accessor:
                getter: getImageBrightness
                setter: setImageBrightness
            type: string
        imageContrastRatio:
            expose: true
            access_type: public_method
            serialized_name: ImageContrastRatio
            accessor:
                getter: getImageContrastRatio
                setter: setImageContrastRatio
            type: string
        impedance:
            expose: true
            access_type: public_method
            serialized_name: Impedance
            accessor:
                getter: getImpedance
                setter: setImpedance
            type: App\Library\Amazon\Classes\ResistanceDimensionType
        includesMP3Player:
            expose: true
            access_type: public_method
            serialized_name: IncludesMP3Player
            accessor:
                getter: getIncludesMP3Player
                setter: setIncludesMP3Player
            type: boolean
        includesRechargableBattery:
            expose: true
            access_type: public_method
            serialized_name: IncludesRechargableBattery
            accessor:
                getter: getIncludesRechargableBattery
                setter: setIncludesRechargableBattery
            type: boolean
        includesRemote:
            expose: true
            access_type: public_method
            serialized_name: IncludesRemote
            accessor:
                getter: getIncludesRemote
                setter: setIncludesRemote
            type: boolean
        includesSpeakerphone:
            expose: true
            access_type: public_method
            serialized_name: IncludesSpeakerphone
            accessor:
                getter: getIncludesSpeakerphone
                setter: setIncludesSpeakerphone
            type: boolean
        inputAdapter:
            expose: true
            access_type: public_method
            serialized_name: InputAdapter
            accessor:
                getter: getInputAdapter
                setter: setInputAdapter
            xml_list:
                inline: true
                entry_name: InputAdapter
            type: array<string>
        inputChannelQuantity:
            expose: true
            access_type: public_method
            serialized_name: InputChannelQuantity
            accessor:
                getter: getInputChannelQuantity
                setter: setInputChannelQuantity
            type: integer
        inputConnection:
            expose: true
            access_type: public_method
            serialized_name: InputConnection
            accessor:
                getter: getInputConnection
                setter: setInputConnection
            xml_list:
                inline: true
                entry_name: InputConnection
            type: array<App\Library\Amazon\Classes\ConnectionType>
        inputConnectorType:
            expose: true
            access_type: public_method
            serialized_name: InputConnectorType
            accessor:
                getter: getInputConnectorType
                setter: setInputConnectorType
            xml_list:
                inline: true
                entry_name: InputConnectorType
            type: array<string>
        inputDevice:
            expose: true
            access_type: public_method
            serialized_name: InputDevice
            accessor:
                getter: getInputDevice
                setter: setInputDevice
            xml_list:
                inline: true
                entry_name: InputDevice
            type: array<string>
        inputDeviceInterface:
            expose: true
            access_type: public_method
            serialized_name: InputDeviceInterface
            accessor:
                getter: getInputDeviceInterface
                setter: setInputDeviceInterface
            xml_list:
                inline: true
                entry_name: InputDeviceInterface
            type: array<string>
        intercom:
            expose: true
            access_type: public_method
            serialized_name: Intercom
            accessor:
                getter: getIntercom
                setter: setIntercom
            type: boolean
        internalBaysQuantity:
            expose: true
            access_type: public_method
            serialized_name: InternalBaysQuantity
            accessor:
                getter: getInternalBaysQuantity
                setter: setInternalBaysQuantity
            type: integer
        iSDNTerminalAdapterInterface:
            expose: true
            access_type: public_method
            serialized_name: ISDNTerminalAdapterInterface
            accessor:
                getter: getISDNTerminalAdapterInterface
                setter: setISDNTerminalAdapterInterface
            type: string
        isHDTVCompatible:
            expose: true
            access_type: public_method
            serialized_name: IsHDTVCompatible
            accessor:
                getter: getIsHDTVCompatible
                setter: setIsHDTVCompatible
            type: boolean
        isWaterproof:
            expose: true
            access_type: public_method
            serialized_name: IsWaterproof
            accessor:
                getter: getIsWaterproof
                setter: setIsWaterproof
            type: boolean
        itemDisplayDepth:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayDepth
            accessor:
                getter: getItemDisplayDepth
                setter: setItemDisplayDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayHeight:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayHeight
            accessor:
                getter: getItemDisplayHeight
                setter: setItemDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayLength:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayLength
            accessor:
                getter: getItemDisplayLength
                setter: setItemDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayLengthMaximum:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayLengthMaximum
            accessor:
                getter: getItemDisplayLengthMaximum
                setter: setItemDisplayLengthMaximum
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayWeight:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayWeight
            accessor:
                getter: getItemDisplayWeight
                setter: setItemDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        itemDisplayWidth:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayWidth
            accessor:
                getter: getItemDisplayWidth
                setter: setItemDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        keyboardDescription:
            expose: true
            access_type: public_method
            serialized_name: KeyboardDescription
            accessor:
                getter: getKeyboardDescription
                setter: setKeyboardDescription
            type: string
        lampType:
            expose: true
            access_type: public_method
            serialized_name: LampType
            accessor:
                getter: getLampType
                setter: setLampType
            type: string
        leftConnectorGender:
            expose: true
            access_type: public_method
            serialized_name: LeftConnectorGender
            accessor:
                getter: getLeftConnectorGender
                setter: setLeftConnectorGender
            type: string
        leftConnectorType:
            expose: true
            access_type: public_method
            serialized_name: LeftConnectorType
            accessor:
                getter: getLeftConnectorType
                setter: setLeftConnectorType
            xml_list:
                inline: true
                entry_name: LeftConnectorType
            type: array<string>
        mapType:
            expose: true
            access_type: public_method
            serialized_name: MapType
            accessor:
                getter: getMapType
                setter: setMapType
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            xml_list:
                inline: true
                entry_name: MaterialType
            type: array<string>
        maxCopyResolutionBlackWhite:
            expose: true
            access_type: public_method
            serialized_name: MaxCopyResolutionBlackWhite
            accessor:
                getter: getMaxCopyResolutionBlackWhite
                setter: setMaxCopyResolutionBlackWhite
            type: string
        maxCopyResolutionColor:
            expose: true
            access_type: public_method
            serialized_name: MaxCopyResolutionColor
            accessor:
                getter: getMaxCopyResolutionColor
                setter: setMaxCopyResolutionColor
            type: string
        maximumBridgedOutputPower:
            expose: true
            access_type: public_method
            serialized_name: MaximumBridgedOutputPower
            accessor:
                getter: getMaximumBridgedOutputPower
                setter: setMaximumBridgedOutputPower
            type: integer
        maximumExternalResolution:
            expose: true
            access_type: public_method
            serialized_name: MaximumExternalResolution
            accessor:
                getter: getMaximumExternalResolution
                setter: setMaximumExternalResolution
            type: string
        maximumImageSize:
            expose: true
            access_type: public_method
            serialized_name: MaximumImageSize
            accessor:
                getter: getMaximumImageSize
                setter: setMaximumImageSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumLinearPeakExcursion:
            expose: true
            access_type: public_method
            serialized_name: MaximumLinearPeakExcursion
            accessor:
                getter: getMaximumLinearPeakExcursion
                setter: setMaximumLinearPeakExcursion
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumOutputPower:
            expose: true
            access_type: public_method
            serialized_name: MaximumOutputPower
            accessor:
                getter: getMaximumOutputPower
                setter: setMaximumOutputPower
            type: string
        maximumRange:
            expose: true
            access_type: public_method
            serialized_name: MaximumRange
            accessor:
                getter: getMaximumRange
                setter: setMaximumRange
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumRangeIndoors:
            expose: true
            access_type: public_method
            serialized_name: MaximumRangeIndoors
            accessor:
                getter: getMaximumRangeIndoors
                setter: setMaximumRangeIndoors
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumSampleRate:
            expose: true
            access_type: public_method
            serialized_name: MaximumSampleRate
            accessor:
                getter: getMaximumSampleRate
                setter: setMaximumSampleRate
            type: App\Library\Amazon\Classes\FrequencyDimensionType
        maximumScreenDistance:
            expose: true
            access_type: public_method
            serialized_name: MaximumScreenDistance
            accessor:
                getter: getMaximumScreenDistance
                setter: setMaximumScreenDistance
            type: App\Library\Amazon\Classes\LengthDimensionType
        maxInputSheetCapacity:
            expose: true
            access_type: public_method
            serialized_name: MaxInputSheetCapacity
            accessor:
                getter: getMaxInputSheetCapacity
                setter: setMaxInputSheetCapacity
            type: integer
        maxPrintResolutionBlackWhite:
            expose: true
            access_type: public_method
            serialized_name: MaxPrintResolutionBlackWhite
            accessor:
                getter: getMaxPrintResolutionBlackWhite
                setter: setMaxPrintResolutionBlackWhite
            xml_list:
                inline: true
                entry_name: MaxPrintResolutionBlackWhite
            type: array<string>
        maxPrintResolutionColor:
            expose: true
            access_type: public_method
            serialized_name: MaxPrintResolutionColor
            accessor:
                getter: getMaxPrintResolutionColor
                setter: setMaxPrintResolutionColor
            xml_list:
                inline: true
                entry_name: MaxPrintResolutionColor
            type: array<string>
        mediaFormat:
            expose: true
            access_type: public_method
            serialized_name: MediaFormat
            accessor:
                getter: getMediaFormat
                setter: setMediaFormat
            type: string
        mediaLoadType:
            expose: true
            access_type: public_method
            serialized_name: MediaLoadType
            accessor:
                getter: getMediaLoadType
                setter: setMediaLoadType
            type: string
        mediaSizeMaximum:
            expose: true
            access_type: public_method
            serialized_name: MediaSizeMaximum
            accessor:
                getter: getMediaSizeMaximum
                setter: setMediaSizeMaximum
            xml_list:
                inline: true
                entry_name: MediaSizeMaximum
            type: array<string>
        mediaType:
            expose: true
            access_type: public_method
            serialized_name: MediaType
            accessor:
                getter: getMediaType
                setter: setMediaType
            xml_list:
                inline: true
                entry_name: MediaType
            type: array<string>
        memoryStorageCapacity:
            expose: true
            access_type: public_method
            serialized_name: MemoryStorageCapacity
            accessor:
                getter: getMemoryStorageCapacity
                setter: setMemoryStorageCapacity
            type: integer
        memoryTechnology:
            expose: true
            access_type: public_method
            serialized_name: MemoryTechnology
            accessor:
                getter: getMemoryTechnology
                setter: setMemoryTechnology
            type: string
        microphoneFormFactor:
            expose: true
            access_type: public_method
            serialized_name: MicrophoneFormFactor
            accessor:
                getter: getMicrophoneFormFactor
                setter: setMicrophoneFormFactor
            type: string
        microphoneOperationMode:
            expose: true
            access_type: public_method
            serialized_name: MicrophoneOperationMode
            accessor:
                getter: getMicrophoneOperationMode
                setter: setMicrophoneOperationMode
            xml_list:
                inline: true
                entry_name: MicrophoneOperationMode
            type: array<string>
        microphoneTechnology:
            expose: true
            access_type: public_method
            serialized_name: MicrophoneTechnology
            accessor:
                getter: getMicrophoneTechnology
                setter: setMicrophoneTechnology
            type: string
        miniDiscSystem:
            expose: true
            access_type: public_method
            serialized_name: MiniDiscSystem
            accessor:
                getter: getMiniDiscSystem
                setter: setMiniDiscSystem
            type: string
        minimumImageSize:
            expose: true
            access_type: public_method
            serialized_name: MinimumImageSize
            accessor:
                getter: getMinimumImageSize
                setter: setMinimumImageSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumScreenDistance:
            expose: true
            access_type: public_method
            serialized_name: MinimumScreenDistance
            accessor:
                getter: getMinimumScreenDistance
                setter: setMinimumScreenDistance
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumSystemRequirementDescription:
            expose: true
            access_type: public_method
            serialized_name: MinimumSystemRequirementDescription
            accessor:
                getter: getMinimumSystemRequirementDescription
                setter: setMinimumSystemRequirementDescription
            type: string
        model:
            expose: true
            access_type: public_method
            serialized_name: Model
            accessor:
                getter: getModel
                setter: setModel
            type: string
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        modemDescription:
            expose: true
            access_type: public_method
            serialized_name: ModemDescription
            accessor:
                getter: getModemDescription
                setter: setModemDescription
            type: string
        modemInterface:
            expose: true
            access_type: public_method
            serialized_name: ModemInterface
            accessor:
                getter: getModemInterface
                setter: setModemInterface
            type: string
        modemType:
            expose: true
            access_type: public_method
            serialized_name: ModemType
            accessor:
                getter: getModemType
                setter: setModemType
            type: string
        monthlyDutyCycle:
            expose: true
            access_type: public_method
            serialized_name: MonthlyDutyCycle
            accessor:
                getter: getMonthlyDutyCycle
                setter: setMonthlyDutyCycle
            type: string
        mountingHoleDiameter:
            expose: true
            access_type: public_method
            serialized_name: MountingHoleDiameter
            accessor:
                getter: getMountingHoleDiameter
                setter: setMountingHoleDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        movementDetectionTechnology:
            expose: true
            access_type: public_method
            serialized_name: MovementDetectionTechnology
            accessor:
                getter: getMovementDetectionTechnology
                setter: setMovementDetectionTechnology
            type: string
        multilineOperation:
            expose: true
            access_type: public_method
            serialized_name: MultilineOperation
            accessor:
                getter: getMultilineOperation
                setter: setMultilineOperation
            xml_list:
                inline: true
                entry_name: MultilineOperation
            type: array<string>
        multimediaFunctionality:
            expose: true
            access_type: public_method
            serialized_name: MultimediaFunctionality
            accessor:
                getter: getMultimediaFunctionality
                setter: setMultimediaFunctionality
            xml_list:
                inline: true
                entry_name: MultimediaFunctionality
            type: array<string>
        navigationRoutes:
            expose: true
            access_type: public_method
            serialized_name: NavigationRoutes
            accessor:
                getter: getNavigationRoutes
                setter: setNavigationRoutes
            type: integer
        networkingFeature:
            expose: true
            access_type: public_method
            serialized_name: NetworkingFeature
            accessor:
                getter: getNetworkingFeature
                setter: setNetworkingFeature
            xml_list:
                inline: true
                entry_name: NetworkingFeature
            type: array<string>
        networkInterfaceDescription:
            expose: true
            access_type: public_method
            serialized_name: NetworkInterfaceDescription
            accessor:
                getter: getNetworkInterfaceDescription
                setter: setNetworkInterfaceDescription
            type: string
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        numberOfPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPorts
            accessor:
                getter: getNumberOfPorts
                setter: setNumberOfPorts
            type: integer
        numberOfSupportedZones:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSupportedZones
            accessor:
                getter: getNumberOfSupportedZones
                setter: setNumberOfSupportedZones
            type: integer
        objectiveLensDiameter:
            expose: true
            access_type: public_method
            serialized_name: ObjectiveLensDiameter
            accessor:
                getter: getObjectiveLensDiameter
                setter: setObjectiveLensDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        opticalDigitalInput:
            expose: true
            access_type: public_method
            serialized_name: OpticalDigitalInput
            accessor:
                getter: getOpticalDigitalInput
                setter: setOpticalDigitalInput
            type: string
        opticalDigitalOutput:
            expose: true
            access_type: public_method
            serialized_name: OpticalDigitalOutput
            accessor:
                getter: getOpticalDigitalOutput
                setter: setOpticalDigitalOutput
            type: string
        opticalSensorInterpolatedResolution:
            expose: true
            access_type: public_method
            serialized_name: OpticalSensorInterpolatedResolution
            accessor:
                getter: getOpticalSensorInterpolatedResolution
                setter: setOpticalSensorInterpolatedResolution
            type: App\Library\Amazon\Classes\PixelDimensionType
        opticalSensorResolution:
            expose: true
            access_type: public_method
            serialized_name: OpticalSensorResolution
            accessor:
                getter: getOpticalSensorResolution
                setter: setOpticalSensorResolution
            type: App\Library\Amazon\Classes\PixelDimensionType
        opticalStorageDevice:
            expose: true
            access_type: public_method
            serialized_name: OpticalStorageDevice
            accessor:
                getter: getOpticalStorageDevice
                setter: setOpticalStorageDevice
            xml_list:
                inline: true
                entry_name: OpticalStorageDevice
            type: array<string>
        opticalStorageInstalledQuantity:
            expose: true
            access_type: public_method
            serialized_name: OpticalStorageInstalledQuantity
            accessor:
                getter: getOpticalStorageInstalledQuantity
                setter: setOpticalStorageInstalledQuantity
            type: integer
        opticalStorageReadSpeed:
            expose: true
            access_type: public_method
            serialized_name: OpticalStorageReadSpeed
            accessor:
                getter: getOpticalStorageReadSpeed
                setter: setOpticalStorageReadSpeed
            type: string
        opticalStorageRewriteSpeed:
            expose: true
            access_type: public_method
            serialized_name: OpticalStorageRewriteSpeed
            accessor:
                getter: getOpticalStorageRewriteSpeed
                setter: setOpticalStorageRewriteSpeed
            type: string
        opticalStorageSecondaryReadSpeed:
            expose: true
            access_type: public_method
            serialized_name: OpticalStorageSecondaryReadSpeed
            accessor:
                getter: getOpticalStorageSecondaryReadSpeed
                setter: setOpticalStorageSecondaryReadSpeed
            type: string
        opticalStorageSecondaryRewriteSpeed:
            expose: true
            access_type: public_method
            serialized_name: OpticalStorageSecondaryRewriteSpeed
            accessor:
                getter: getOpticalStorageSecondaryRewriteSpeed
                setter: setOpticalStorageSecondaryRewriteSpeed
            type: string
        opticalStorageSecondaryType:
            expose: true
            access_type: public_method
            serialized_name: OpticalStorageSecondaryType
            accessor:
                getter: getOpticalStorageSecondaryType
                setter: setOpticalStorageSecondaryType
            xml_list:
                inline: true
                entry_name: OpticalStorageSecondaryType
            type: array<string>
        opticalStorageSecondaryWriteSpeed:
            expose: true
            access_type: public_method
            serialized_name: OpticalStorageSecondaryWriteSpeed
            accessor:
                getter: getOpticalStorageSecondaryWriteSpeed
                setter: setOpticalStorageSecondaryWriteSpeed
            type: string
        opticalStorageWriteSpeed:
            expose: true
            access_type: public_method
            serialized_name: OpticalStorageWriteSpeed
            accessor:
                getter: getOpticalStorageWriteSpeed
                setter: setOpticalStorageWriteSpeed
            type: string
        outputChannelQuantity:
            expose: true
            access_type: public_method
            serialized_name: OutputChannelQuantity
            accessor:
                getter: getOutputChannelQuantity
                setter: setOutputChannelQuantity
            type: integer
        outputConnection:
            expose: true
            access_type: public_method
            serialized_name: OutputConnection
            accessor:
                getter: getOutputConnection
                setter: setOutputConnection
            xml_list:
                inline: true
                entry_name: OutputConnection
            type: array<App\Library\Amazon\Classes\ConnectionType>
        outputConnectorQuantity:
            expose: true
            access_type: public_method
            serialized_name: OutputConnectorQuantity
            accessor:
                getter: getOutputConnectorQuantity
                setter: setOutputConnectorQuantity
            type: integer
        outputConnectorType:
            expose: true
            access_type: public_method
            serialized_name: OutputConnectorType
            accessor:
                getter: getOutputConnectorType
                setter: setOutputConnectorType
            xml_list:
                inline: true
                entry_name: OutputConnectorType
            type: array<string>
        outputWattage:
            expose: true
            access_type: public_method
            serialized_name: OutputWattage
            accessor:
                getter: getOutputWattage
                setter: setOutputWattage
            type: integer
        packageTypeName:
            expose: true
            access_type: public_method
            serialized_name: PackageTypeName
            accessor:
                getter: getPackageTypeName
                setter: setPackageTypeName
            type: string
        pCConnectionAvailable:
            expose: true
            access_type: public_method
            serialized_name: PCConnectionAvailable
            accessor:
                getter: getPCConnectionAvailable
                setter: setPCConnectionAvailable
            type: string
        phoneBaseDepth:
            expose: true
            access_type: public_method
            serialized_name: PhoneBaseDepth
            accessor:
                getter: getPhoneBaseDepth
                setter: setPhoneBaseDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        phoneBaseHeight:
            expose: true
            access_type: public_method
            serialized_name: PhoneBaseHeight
            accessor:
                getter: getPhoneBaseHeight
                setter: setPhoneBaseHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        phoneBaseWeight:
            expose: true
            access_type: public_method
            serialized_name: PhoneBaseWeight
            accessor:
                getter: getPhoneBaseWeight
                setter: setPhoneBaseWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        phoneBaseWidth:
            expose: true
            access_type: public_method
            serialized_name: PhoneBaseWidth
            accessor:
                getter: getPhoneBaseWidth
                setter: setPhoneBaseWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        portedBoxVolume:
            expose: true
            access_type: public_method
            serialized_name: PortedBoxVolume
            accessor:
                getter: getPortedBoxVolume
                setter: setPortedBoxVolume
            type: App\Library\Amazon\Classes\CE\PortedBoxVolumeAType
        powerAmplifierClass:
            expose: true
            access_type: public_method
            serialized_name: PowerAmplifierClass
            accessor:
                getter: getPowerAmplifierClass
                setter: setPowerAmplifierClass
            type: string
        powerDevice:
            expose: true
            access_type: public_method
            serialized_name: PowerDevice
            accessor:
                getter: getPowerDevice
                setter: setPowerDevice
            type: string
        powerGain:
            expose: true
            access_type: public_method
            serialized_name: PowerGain
            accessor:
                getter: getPowerGain
                setter: setPowerGain
            type: App\Library\Amazon\Classes\VoltageIntegerDimensionType
        powerLoadRating:
            expose: true
            access_type: public_method
            serialized_name: PowerLoadRating
            accessor:
                getter: getPowerLoadRating
                setter: setPowerLoadRating
            type: string
        preampOutputChannels:
            expose: true
            access_type: public_method
            serialized_name: PreampOutputChannels
            accessor:
                getter: getPreampOutputChannels
                setter: setPreampOutputChannels
            type: integer
        presetChannelQuantity:
            expose: true
            access_type: public_method
            serialized_name: PresetChannelQuantity
            accessor:
                getter: getPresetChannelQuantity
                setter: setPresetChannelQuantity
            type: integer
        printerInterface:
            expose: true
            access_type: public_method
            serialized_name: PrinterInterface
            accessor:
                getter: getPrinterInterface
                setter: setPrinterInterface
            type: string
        printerOutput:
            expose: true
            access_type: public_method
            serialized_name: PrinterOutput
            accessor:
                getter: getPrinterOutput
                setter: setPrinterOutput
            type: string
        printerResolutionBWHorizontalMax:
            expose: true
            access_type: public_method
            serialized_name: PrinterResolutionBWHorizontalMax
            accessor:
                getter: getPrinterResolutionBWHorizontalMax
                setter: setPrinterResolutionBWHorizontalMax
            type: App\Library\Amazon\Classes\PixelDimensionType
        printerResolutionBWVerticalMax:
            expose: true
            access_type: public_method
            serialized_name: PrinterResolutionBWVerticalMax
            accessor:
                getter: getPrinterResolutionBWVerticalMax
                setter: setPrinterResolutionBWVerticalMax
            type: App\Library\Amazon\Classes\PixelDimensionType
        printerResolutionColorHorizontalMax:
            expose: true
            access_type: public_method
            serialized_name: PrinterResolutionColorHorizontalMax
            accessor:
                getter: getPrinterResolutionColorHorizontalMax
                setter: setPrinterResolutionColorHorizontalMax
            type: App\Library\Amazon\Classes\PixelDimensionType
        printerResolutionColorVerticalMax:
            expose: true
            access_type: public_method
            serialized_name: PrinterResolutionColorVerticalMax
            accessor:
                getter: getPrinterResolutionColorVerticalMax
                setter: setPrinterResolutionColorVerticalMax
            type: App\Library\Amazon\Classes\PixelDimensionType
        printerTechnology:
            expose: true
            access_type: public_method
            serialized_name: PrinterTechnology
            accessor:
                getter: getPrinterTechnology
                setter: setPrinterTechnology
            type: string
        processorMaximum:
            expose: true
            access_type: public_method
            serialized_name: ProcessorMaximum
            accessor:
                getter: getProcessorMaximum
                setter: setProcessorMaximum
            type: integer
        processorModelNumber:
            expose: true
            access_type: public_method
            serialized_name: ProcessorModelNumber
            accessor:
                getter: getProcessorModelNumber
                setter: setProcessorModelNumber
            type: string
        processorUpgrade:
            expose: true
            access_type: public_method
            serialized_name: ProcessorUpgrade
            accessor:
                getter: getProcessorUpgrade
                setter: setProcessorUpgrade
            type: string
        programmability:
            expose: true
            access_type: public_method
            serialized_name: Programmability
            accessor:
                getter: getProgrammability
                setter: setProgrammability
            xml_list:
                inline: true
                entry_name: Programmability
            type: array<string>
        qtsTotalQFactor:
            expose: true
            access_type: public_method
            serialized_name: QtsTotalQFactor
            accessor:
                getter: getQtsTotalQFactor
                setter: setQtsTotalQFactor
            type: float
        radioBandsSupported:
            expose: true
            access_type: public_method
            serialized_name: RadioBandsSupported
            accessor:
                getter: getRadioBandsSupported
                setter: setRadioBandsSupported
            type: string
        radioChannels:
            expose: true
            access_type: public_method
            serialized_name: RadioChannels
            accessor:
                getter: getRadioChannels
                setter: setRadioChannels
            type: string
        rAIDLevel:
            expose: true
            access_type: public_method
            serialized_name: RAIDLevel
            accessor:
                getter: getRAIDLevel
                setter: setRAIDLevel
            xml_list:
                inline: true
                entry_name: RAIDLevel
            type: array<string>
        rAMMemoryInstalledSize:
            expose: true
            access_type: public_method
            serialized_name: RAMMemoryInstalledSize
            accessor:
                getter: getRAMMemoryInstalledSize
                setter: setRAMMemoryInstalledSize
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        rAMMemoryMaximumSize:
            expose: true
            access_type: public_method
            serialized_name: RAMMemoryMaximumSize
            accessor:
                getter: getRAMMemoryMaximumSize
                setter: setRAMMemoryMaximumSize
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        rAMMemoryTechnology:
            expose: true
            access_type: public_method
            serialized_name: RAMMemoryTechnology
            accessor:
                getter: getRAMMemoryTechnology
                setter: setRAMMemoryTechnology
            type: string
        rangefinderType:
            expose: true
            access_type: public_method
            serialized_name: RangefinderType
            accessor:
                getter: getRangefinderType
                setter: setRangefinderType
            type: string
        receiverDescription:
            expose: true
            access_type: public_method
            serialized_name: ReceiverDescription
            accessor:
                getter: getReceiverDescription
                setter: setReceiverDescription
            type: string
        recordingCapacity:
            expose: true
            access_type: public_method
            serialized_name: RecordingCapacity
            accessor:
                getter: getRecordingCapacity
                setter: setRecordingCapacity
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        remoteControlAudioControls:
            expose: true
            access_type: public_method
            serialized_name: RemoteControlAudioControls
            accessor:
                getter: getRemoteControlAudioControls
                setter: setRemoteControlAudioControls
            xml_list:
                inline: true
                entry_name: RemoteControlAudioControls
            type: array<string>
        remoteControlDescription:
            expose: true
            access_type: public_method
            serialized_name: RemoteControlDescription
            accessor:
                getter: getRemoteControlDescription
                setter: setRemoteControlDescription
            type: string
        remoteControlTechnology:
            expose: true
            access_type: public_method
            serialized_name: RemoteControlTechnology
            accessor:
                getter: getRemoteControlTechnology
                setter: setRemoteControlTechnology
            type: string
        remoteManagementProtocol:
            expose: true
            access_type: public_method
            serialized_name: RemoteManagementProtocol
            accessor:
                getter: getRemoteManagementProtocol
                setter: setRemoteManagementProtocol
            xml_list:
                inline: true
                entry_name: RemoteManagementProtocol
            type: array<string>
        removableMediaCapacity:
            expose: true
            access_type: public_method
            serialized_name: RemovableMediaCapacity
            accessor:
                getter: getRemovableMediaCapacity
                setter: setRemovableMediaCapacity
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        removableMemory:
            expose: true
            access_type: public_method
            serialized_name: RemovableMemory
            accessor:
                getter: getRemovableMemory
                setter: setRemovableMemory
            type: string
        removableStorage:
            expose: true
            access_type: public_method
            serialized_name: RemovableStorage
            accessor:
                getter: getRemovableStorage
                setter: setRemovableStorage
            type: string
        removableStorageInterface:
            expose: true
            access_type: public_method
            serialized_name: RemovableStorageInterface
            accessor:
                getter: getRemovableStorageInterface
                setter: setRemovableStorageInterface
            type: string
        removableStorageNativeCapacity:
            expose: true
            access_type: public_method
            serialized_name: RemovableStorageNativeCapacity
            accessor:
                getter: getRemovableStorageNativeCapacity
                setter: setRemovableStorageNativeCapacity
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        responseTime:
            expose: true
            access_type: public_method
            serialized_name: ResponseTime
            accessor:
                getter: getResponseTime
                setter: setResponseTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        rightConnectorGender:
            expose: true
            access_type: public_method
            serialized_name: RightConnectorGender
            accessor:
                getter: getRightConnectorGender
                setter: setRightConnectorGender
            type: string
        rightConnectorType:
            expose: true
            access_type: public_method
            serialized_name: RightConnectorType
            accessor:
                getter: getRightConnectorType
                setter: setRightConnectorType
            xml_list:
                inline: true
                entry_name: RightConnectorType
            type: array<string>
        routingProtocol:
            expose: true
            access_type: public_method
            serialized_name: RoutingProtocol
            accessor:
                getter: getRoutingProtocol
                setter: setRoutingProtocol
            xml_list:
                inline: true
                entry_name: RoutingProtocol
            type: array<string>
        satelliteServiceDescription:
            expose: true
            access_type: public_method
            serialized_name: SatelliteServiceDescription
            accessor:
                getter: getSatelliteServiceDescription
                setter: setSatelliteServiceDescription
            xml_list:
                inline: true
                entry_name: SatelliteServiceDescription
            type: array<string>
        sBAS:
            expose: true
            access_type: public_method
            serialized_name: SBAS
            accessor:
                getter: getSBAS
                setter: setSBAS
            xml_list:
                inline: true
                entry_name: SBAS
            type: array<string>
        scanElementType:
            expose: true
            access_type: public_method
            serialized_name: ScanElementType
            accessor:
                getter: getScanElementType
                setter: setScanElementType
            type: string
        scannerInterface:
            expose: true
            access_type: public_method
            serialized_name: ScannerInterface
            accessor:
                getter: getScannerInterface
                setter: setScannerInterface
            type: string
        scannerType:
            expose: true
            access_type: public_method
            serialized_name: ScannerType
            accessor:
                getter: getScannerType
                setter: setScannerType
            type: string
        sCSISignalingType:
            expose: true
            access_type: public_method
            serialized_name: SCSISignalingType
            accessor:
                getter: getSCSISignalingType
                setter: setSCSISignalingType
            type: string
        sealedBoxVolume:
            expose: true
            access_type: public_method
            serialized_name: SealedBoxVolume
            accessor:
                getter: getSealedBoxVolume
                setter: setSealedBoxVolume
            type: App\Library\Amazon\Classes\CE\SealedBoxVolumeAType
        searchSpeed:
            expose: true
            access_type: public_method
            serialized_name: SearchSpeed
            accessor:
                getter: getSearchSpeed
                setter: setSearchSpeed
            xml_list:
                inline: true
                entry_name: SearchSpeed
            type: array<string>
        signalToNoiseRatio:
            expose: true
            access_type: public_method
            serialized_name: SignalToNoiseRatio
            accessor:
                getter: getSignalToNoiseRatio
                setter: setSignalToNoiseRatio
            type: float
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        speakerAmplificationType:
            expose: true
            access_type: public_method
            serialized_name: SpeakerAmplificationType
            accessor:
                getter: getSpeakerAmplificationType
                setter: setSpeakerAmplificationType
            type: string
        speakerConnectivity:
            expose: true
            access_type: public_method
            serialized_name: SpeakerConnectivity
            accessor:
                getter: getSpeakerConnectivity
                setter: setSpeakerConnectivity
            type: string
        speakerDriverMaterial:
            expose: true
            access_type: public_method
            serialized_name: SpeakerDriverMaterial
            accessor:
                getter: getSpeakerDriverMaterial
                setter: setSpeakerDriverMaterial
            type: string
        speakersCrossoverChannelQuantity:
            expose: true
            access_type: public_method
            serialized_name: SpeakersCrossoverChannelQuantity
            accessor:
                getter: getSpeakersCrossoverChannelQuantity
                setter: setSpeakersCrossoverChannelQuantity
            xml_list:
                inline: true
                entry_name: SpeakersCrossoverChannelQuantity
            type: array<string>
        speakersIncludedDescription:
            expose: true
            access_type: public_method
            serialized_name: SpeakersIncludedDescription
            accessor:
                getter: getSpeakersIncludedDescription
                setter: setSpeakersIncludedDescription
            type: string
        speakersMaximumOutputPower:
            expose: true
            access_type: public_method
            serialized_name: SpeakersMaximumOutputPower
            accessor:
                getter: getSpeakersMaximumOutputPower
                setter: setSpeakersMaximumOutputPower
            type: float
        speakersNominalOutputPower:
            expose: true
            access_type: public_method
            serialized_name: SpeakersNominalOutputPower
            accessor:
                getter: getSpeakersNominalOutputPower
                setter: setSpeakersNominalOutputPower
            type: float
        speakersResponseBandwidth:
            expose: true
            access_type: public_method
            serialized_name: SpeakersResponseBandwidth
            accessor:
                getter: getSpeakersResponseBandwidth
                setter: setSpeakersResponseBandwidth
            type: string
        speakerSystemClass:
            expose: true
            access_type: public_method
            serialized_name: SpeakerSystemClass
            accessor:
                getter: getSpeakerSystemClass
                setter: setSpeakerSystemClass
            type: string
        speakerType:
            expose: true
            access_type: public_method
            serialized_name: SpeakerType
            accessor:
                getter: getSpeakerType
                setter: setSpeakerType
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        specificationMet:
            expose: true
            access_type: public_method
            serialized_name: SpecificationMet
            accessor:
                getter: getSpecificationMet
                setter: setSpecificationMet
            type: string
        specificUses:
            expose: true
            access_type: public_method
            serialized_name: SpecificUses
            accessor:
                getter: getSpecificUses
                setter: setSpecificUses
            type: string
        standardInputSheetCapacity:
            expose: true
            access_type: public_method
            serialized_name: StandardInputSheetCapacity
            accessor:
                getter: getStandardInputSheetCapacity
                setter: setStandardInputSheetCapacity
            type: integer
        storageController:
            expose: true
            access_type: public_method
            serialized_name: StorageController
            accessor:
                getter: getStorageController
                setter: setStorageController
            type: string
        storageControllerInterface:
            expose: true
            access_type: public_method
            serialized_name: StorageControllerInterface
            accessor:
                getter: getStorageControllerInterface
                setter: setStorageControllerInterface
            type: string
        storageInterface:
            expose: true
            access_type: public_method
            serialized_name: StorageInterface
            accessor:
                getter: getStorageInterface
                setter: setStorageInterface
            type: string
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        supportedAudioFormat:
            expose: true
            access_type: public_method
            serialized_name: SupportedAudioFormat
            accessor:
                getter: getSupportedAudioFormat
                setter: setSupportedAudioFormat
            xml_list:
                inline: true
                entry_name: SupportedAudioFormat
            type: array<string>
        supportedDevices:
            expose: true
            access_type: public_method
            serialized_name: SupportedDevices
            accessor:
                getter: getSupportedDevices
                setter: setSupportedDevices
            xml_list:
                inline: true
                entry_name: SupportedDevices
            type: array<string>
        supportedDevicesQuantity:
            expose: true
            access_type: public_method
            serialized_name: SupportedDevicesQuantity
            accessor:
                getter: getSupportedDevicesQuantity
                setter: setSupportedDevicesQuantity
            type: integer
        supportedImageFormat:
            expose: true
            access_type: public_method
            serialized_name: SupportedImageFormat
            accessor:
                getter: getSupportedImageFormat
                setter: setSupportedImageFormat
            xml_list:
                inline: true
                entry_name: SupportedImageFormat
            type: array<string>
        supportedImageType:
            expose: true
            access_type: public_method
            serialized_name: SupportedImageType
            accessor:
                getter: getSupportedImageType
                setter: setSupportedImageType
            xml_list:
                inline: true
                entry_name: SupportedImageType
            type: array<string>
        supportedMediaSize:
            expose: true
            access_type: public_method
            serialized_name: SupportedMediaSize
            accessor:
                getter: getSupportedMediaSize
                setter: setSupportedMediaSize
            type: string
        supportedMotherboard:
            expose: true
            access_type: public_method
            serialized_name: SupportedMotherboard
            accessor:
                getter: getSupportedMotherboard
                setter: setSupportedMotherboard
            type: string
        supportedStandards:
            expose: true
            access_type: public_method
            serialized_name: SupportedStandards
            accessor:
                getter: getSupportedStandards
                setter: setSupportedStandards
            xml_list:
                inline: true
                entry_name: SupportedStandards
            type: array<string>
        surgeSuppression:
            expose: true
            access_type: public_method
            serialized_name: SurgeSuppression
            accessor:
                getter: getSurgeSuppression
                setter: setSurgeSuppression
            type: string
        surroundSoundChannels:
            expose: true
            access_type: public_method
            serialized_name: SurroundSoundChannels
            accessor:
                getter: getSurroundSoundChannels
                setter: setSurroundSoundChannels
            type: string
        surroundSoundEffects:
            expose: true
            access_type: public_method
            serialized_name: SurroundSoundEffects
            accessor:
                getter: getSurroundSoundEffects
                setter: setSurroundSoundEffects
            xml_list:
                inline: true
                entry_name: SurroundSoundEffects
            type: array<string>
        switchingProtocol:
            expose: true
            access_type: public_method
            serialized_name: SwitchingProtocol
            accessor:
                getter: getSwitchingProtocol
                setter: setSwitchingProtocol
            xml_list:
                inline: true
                entry_name: SwitchingProtocol
            type: array<string>
        systemBusSpeed:
            expose: true
            access_type: public_method
            serialized_name: SystemBusSpeed
            accessor:
                getter: getSystemBusSpeed
                setter: setSystemBusSpeed
            type: float
        talkRangeMaximum:
            expose: true
            access_type: public_method
            serialized_name: TalkRangeMaximum
            accessor:
                getter: getTalkRangeMaximum
                setter: setTalkRangeMaximum
            type: App\Library\Amazon\Classes\LengthDimensionType
        tapeLength:
            expose: true
            access_type: public_method
            serialized_name: TapeLength
            accessor:
                getter: getTapeLength
                setter: setTapeLength
            type: App\Library\Amazon\Classes\TimeDimensionType
        televisionInterface:
            expose: true
            access_type: public_method
            serialized_name: TelevisionInterface
            accessor:
                getter: getTelevisionInterface
                setter: setTelevisionInterface
            type: string
        televisionPCInterfaceType:
            expose: true
            access_type: public_method
            serialized_name: TelevisionPCInterfaceType
            accessor:
                getter: getTelevisionPCInterfaceType
                setter: setTelevisionPCInterfaceType
            type: string
        totalHarmonicDistortion:
            expose: true
            access_type: public_method
            serialized_name: TotalHarmonicDistortion
            accessor:
                getter: getTotalHarmonicDistortion
                setter: setTotalHarmonicDistortion
            type: string
        tracklogPoints:
            expose: true
            access_type: public_method
            serialized_name: TracklogPoints
            accessor:
                getter: getTracklogPoints
                setter: setTracklogPoints
            type: integer
        tracks:
            expose: true
            access_type: public_method
            serialized_name: Tracks
            accessor:
                getter: getTracks
                setter: setTracks
            type: integer
        transportProtocol:
            expose: true
            access_type: public_method
            serialized_name: TransportProtocol
            accessor:
                getter: getTransportProtocol
                setter: setTransportProtocol
            xml_list:
                inline: true
                entry_name: TransportProtocol
            type: array<string>
        tuner:
            expose: true
            access_type: public_method
            serialized_name: Tuner
            accessor:
                getter: getTuner
                setter: setTuner
            type: string
        tunerTechnology:
            expose: true
            access_type: public_method
            serialized_name: TunerTechnology
            accessor:
                getter: getTunerTechnology
                setter: setTunerTechnology
            xml_list:
                inline: true
                entry_name: TunerTechnology
            type: array<string>
        tVTunerSecondaryAudioProgram:
            expose: true
            access_type: public_method
            serialized_name: TVTunerSecondaryAudioProgram
            accessor:
                getter: getTVTunerSecondaryAudioProgram
                setter: setTVTunerSecondaryAudioProgram
            type: boolean
        uPSTechnology:
            expose: true
            access_type: public_method
            serialized_name: UPSTechnology
            accessor:
                getter: getUPSTechnology
                setter: setUPSTechnology
            type: string
        vCRType:
            expose: true
            access_type: public_method
            serialized_name: VCRType
            accessor:
                getter: getVCRType
                setter: setVCRType
            xml_list:
                inline: true
                entry_name: VCRType
            type: array<string>
        verticalResolution:
            expose: true
            access_type: public_method
            serialized_name: VerticalResolution
            accessor:
                getter: getVerticalResolution
                setter: setVerticalResolution
            type: App\Library\Amazon\Classes\PixelDimensionType
        videoCaptureFormat:
            expose: true
            access_type: public_method
            serialized_name: VideoCaptureFormat
            accessor:
                getter: getVideoCaptureFormat
                setter: setVideoCaptureFormat
            xml_list:
                inline: true
                entry_name: VideoCaptureFormat
            type: array<string>
        videoCaptureResolution:
            expose: true
            access_type: public_method
            serialized_name: VideoCaptureResolution
            accessor:
                getter: getVideoCaptureResolution
                setter: setVideoCaptureResolution
            xml_list:
                inline: true
                entry_name: VideoCaptureResolution
            type: array<string>
        videoHeadQuantity:
            expose: true
            access_type: public_method
            serialized_name: VideoHeadQuantity
            accessor:
                getter: getVideoHeadQuantity
                setter: setVideoHeadQuantity
            type: integer
        videoInput:
            expose: true
            access_type: public_method
            serialized_name: VideoInput
            accessor:
                getter: getVideoInput
                setter: setVideoInput
            xml_list:
                inline: true
                entry_name: VideoInput
            type: array<string>
        videoInputDigitalStandard:
            expose: true
            access_type: public_method
            serialized_name: VideoInputDigitalStandard
            accessor:
                getter: getVideoInputDigitalStandard
                setter: setVideoInputDigitalStandard
            xml_list:
                inline: true
                entry_name: VideoInputDigitalStandard
            type: array<string>
        videoInputFormat:
            expose: true
            access_type: public_method
            serialized_name: VideoInputFormat
            accessor:
                getter: getVideoInputFormat
                setter: setVideoInputFormat
            xml_list:
                inline: true
                entry_name: VideoInputFormat
            type: array<string>
        videoOutput:
            expose: true
            access_type: public_method
            serialized_name: VideoOutput
            accessor:
                getter: getVideoOutput
                setter: setVideoOutput
            xml_list:
                inline: true
                entry_name: VideoOutput
            type: array<string>
        videoOutputInterface:
            expose: true
            access_type: public_method
            serialized_name: VideoOutputInterface
            accessor:
                getter: getVideoOutputInterface
                setter: setVideoOutputInterface
            xml_list:
                inline: true
                entry_name: VideoOutputInterface
            type: array<string>
        videoOutputMode:
            expose: true
            access_type: public_method
            serialized_name: VideoOutputMode
            accessor:
                getter: getVideoOutputMode
                setter: setVideoOutputMode
            type: string
        videoPlaybackFormat:
            expose: true
            access_type: public_method
            serialized_name: VideoPlaybackFormat
            accessor:
                getter: getVideoPlaybackFormat
                setter: setVideoPlaybackFormat
            xml_list:
                inline: true
                entry_name: VideoPlaybackFormat
            type: array<string>
        videotapePlaybackSpeed:
            expose: true
            access_type: public_method
            serialized_name: VideotapePlaybackSpeed
            accessor:
                getter: getVideotapePlaybackSpeed
                setter: setVideotapePlaybackSpeed
            xml_list:
                inline: true
                entry_name: VideotapePlaybackSpeed
            type: array<string>
        videotapeRecordingSpeed:
            expose: true
            access_type: public_method
            serialized_name: VideotapeRecordingSpeed
            accessor:
                getter: getVideotapeRecordingSpeed
                setter: setVideotapeRecordingSpeed
            type: string
        voiceCommunicationSupport:
            expose: true
            access_type: public_method
            serialized_name: VoiceCommunicationSupport
            accessor:
                getter: getVoiceCommunicationSupport
                setter: setVoiceCommunicationSupport
            xml_list:
                inline: true
                entry_name: VoiceCommunicationSupport
            type: array<string>
        voiceCoilDescription:
            expose: true
            access_type: public_method
            serialized_name: VoiceCoilDescription
            accessor:
                getter: getVoiceCoilDescription
                setter: setVoiceCoilDescription
            type: string
        voicemailCapability:
            expose: true
            access_type: public_method
            serialized_name: VoicemailCapability
            accessor:
                getter: getVoicemailCapability
                setter: setVoicemailCapability
            type: boolean
        voiceOperatedTransmission:
            expose: true
            access_type: public_method
            serialized_name: VoiceOperatedTransmission
            accessor:
                getter: getVoiceOperatedTransmission
                setter: setVoiceOperatedTransmission
            type: string
        vOIPProtocols:
            expose: true
            access_type: public_method
            serialized_name: VOIPProtocols
            accessor:
                getter: getVOIPProtocols
                setter: setVOIPProtocols
            xml_list:
                inline: true
                entry_name: VOIPProtocols
            type: array<string>
        volumeAcousticSuspension:
            expose: true
            access_type: public_method
            serialized_name: VolumeAcousticSuspension
            accessor:
                getter: getVolumeAcousticSuspension
                setter: setVolumeAcousticSuspension
            type: App\Library\Amazon\Classes\VolumeDimensionType
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        waterproofRating:
            expose: true
            access_type: public_method
            serialized_name: WaterproofRating
            accessor:
                getter: getWaterproofRating
                setter: setWaterproofRating
            type: string
        waypoints:
            expose: true
            access_type: public_method
            serialized_name: Waypoints
            accessor:
                getter: getWaypoints
                setter: setWaypoints
            type: float
        waypointsPerRoute:
            expose: true
            access_type: public_method
            serialized_name: WaypointsPerRoute
            accessor:
                getter: getWaypointsPerRoute
                setter: setWaypointsPerRoute
            type: integer
        weatherproof:
            expose: true
            access_type: public_method
            serialized_name: Weatherproof
            accessor:
                getter: getWeatherproof
                setter: setWeatherproof
            type: string
        writeSpeed:
            expose: true
            access_type: public_method
            serialized_name: WriteSpeed
            accessor:
                getter: getWriteSpeed
                setter: setWriteSpeed
            type: string
